Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.sys
Class ExportManager.ImportEnumerator

    java.lang.Object
      |
      +--edu.utah.janosvm.sys.ListNode
            |
            +--edu.utah.janosvm.sys.ExportManager.ImportEnumerator

Enclosing class:
  ExportManager

public final class ExportManager.ImportEnumerator
extends ListNode

The ImportEnumerator is used to traverse the list of importers of an export. This is primarily useful if an export wants to do callbacks on its imports. This object is actually inserted into the ExportManager.importer's list and then moved along as it traverses each Importable node.

Fields inherited from class edu.utah.janosvm.sys.ListNode
`pred, succ`

Constructor Summary
`ExportManager.ImportEnumerator()`

Method Summary
`Importable` | `getImportable()`
`TeamReservation` | `getReservation()`
`boolean` | `nextImport()` Traverse the next Importable in the list.

Methods inherited from class edu.utah.janosvm.sys.ListNode
`append, clone, prepend, remove, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExportManager.ImportEnumerator

    public ExportManager.ImportEnumerator()

Method Detail

### getReservation

    public TeamReservation getReservation()

  Returns:
    this.tr

### getImportable

    public Importable getImportable()

  Returns:
    this.im

### nextImport

    public boolean nextImport()

  Traverse the next Importable in the list.
  Returns:
    True if the next Importable was successfully traversed, false if its at the end of the list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002